package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.RelPustAd;

/** 水闸行政信息关联 Service */
public interface RelPustAdService {
    /**
     * 查询水闸行政信息关联列表
     *
     * @param relPustAd 查询条件
     * @return 水闸行政信息关联列表
     */
    public List<RelPustAd> selectRelPustAdList(RelPustAd relPustAd);

    /**
     * 通过主键查询水闸行政信息关联
     *
     * @param relPustAd 查询条件
     * @return 水闸行政信息关联
     */
    public RelPustAd selectRelPustAdById(RelPustAd relPustAd);

    /**
     * 删除水闸行政信息关联
     *
     * @param relPustAd 删除条件
     * @return 删除行数
     */
    public int deleteRelPustAdById(RelPustAd relPustAd);

    /**
     * 新增水闸行政信息关联
     *
     * @param relPustAd 水闸行政信息关联
     * @return 插入行数
     */
    public int insertRelPustAd(RelPustAd relPustAd);

    /**
     * 修改水闸行政信息关联
     *
     * @param relPustAd 水闸行政信息关联
     * @return 更新行数
     */
    public int updateRelPustAd(RelPustAd relPustAd);
}
